Skip to main content
POST
/
api
/
v1
/
v-ciso
/
organizations
/
{organizationid}
/
workflows
/
{workflowid}
/
tasks
/
{taskid}
/
import
curl --request POST \
  --url https://app.aegister.com/api/v1/v-ciso/organizations/{organizationid}/workflows/{workflowid}/tasks/{taskid}/import \
  --header 'Content-Type: application/json' \
  --header 'X-Aegister-Token: <api-key>' \
  --data '
{
  "dry_run": true,
  "rows": [
    {
      "asset_id": "HW-001",
      "device_input": "Physical servers",
      "criticality": "High"
    }
  ]
}
'
{
  "error": 0,
  "messages": "<array>",
  "data": {}
}

Authorizations

X-Aegister-Token
string
header
required

Path Parameters

organizationid
integer
required
taskid
string
required
workflowid
string
required

Query Parameters

dry_run
boolean

Validate only and return rows+errors without writing.

lan
string

Language for labels/validation (en|it).

Body

application/json
rows
object[]

table task rows

answers
object

question task answers {question_id: value}

dry_run
boolean

Response

error
integer

Any value different from 0 indicates an error.
More details can be found in messages.

Required range: 0 <= x <= 0
Example:

0

messages
array

If error is 1, contains zero or more details on the error.

Example:
[]
data
object

dry_run → {columns, rows, errors, valid_count, error_count}; submit → {imported_rows, evaluation_id}